# react-miui - v0.36.0

WIP.

Old MIUI inspired design components for React. Breaking changes may happen until `1.0.0`.

Usage:

- Import `cssReset` named export and include it in `<style>` tag
- Import `injectGlobalStyles` function, call it from your root component
- Import `getCssText` named export, call it and include result in `<style>` tag
- Import any needed component from named exports

Your bundler needs to handle scss files, including scss modules.

For next.js projects use something like this with your next.config.js:

    const createTranspileModules = require("next-transpile-modules");
    const withTM = createTranspileModules(["react-miui"]);
    module.exports = withTM({});